## striprtf 0.2.2

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.2.2
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Maintainer: Kota Mori <kmori05@gmail.com>
Description: 
    Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 2.10)
Imports: magrittr, Rcpp, stringr
Suggests: testthat
RoxygenNote: 5.0.1
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
NeedsCompilation: yes
Packaged: 2016-12-16 08:29:55 UTC; Kota.Mori
Author: Kota Mori [aut, cre]
Repository: CRAN
Date/Publication: 2016-12-16 11:20:39

## striprtf 0.0.26

=== debian/changelog ===
striprtf (0.0.26-1) unstable; urgency=medium

  * Initial release. (Closes: #1077378)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 13:30:43 +0900

=== debian/control ===
Source: striprtf
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/joshy/striprtf
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/striprtf
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/striprtf.git

Package: python3-striprtf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: A simple library to convert rtf to text
 This library transforms rich text format (rtf) files into plain text strings.
 It is particularly useful for converting documents, such as medical records
 written in rtf format, into a more easily parsable and processable plain text
 format. The library handles different encodings and provides options to manage
 decoding errors gracefully. It simplifies the processing pipeline by
 converting text to a format that is more suitable for further analysis.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=striprtf
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf striprtf.egg-info/

## striprtf 0.0.27

=== debian/changelog ===
striprtf (0.0.27-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 05:45:15 +0100

striprtf (0.0.26-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Aug 2024 16:39:52 +0200

## striprtf 0.0.28

=== debian/changelog ===
striprtf (0.0.28-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Dec 2024 19:39:00 +0000

=== debian/control ===
Source: striprtf
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/joshy/striprtf
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/striprtf
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/striprtf.git

Package: python3-striprtf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple library to convert rtf to text
 This library transforms rich text format (rtf) files into plain text strings.
 It is particularly useful for converting documents, such as medical records
 written in rtf format, into a more easily parsable and processable plain text
 format. The library handles different encodings and provides options to manage
 decoding errors gracefully. It simplifies the processing pipeline by
 converting text to a format that is more suitable for further analysis.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/striprtf-$1\.tar\.gz/ \
  https://github.com/joshy/striprtf/tags .*/v?(\d\S+)\.tar\.gz

## striprtf 0.0.29

=== debian/changelog ===
striprtf (0.0.29-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched build setup to hatchling.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 05 Jun 2025 20:28:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/joshy/striprtf
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/striprtf
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/striprtf.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-striprtf
 Architecture: all

=== debian/watch ===
version=4
https://github.com/joshy/striprtf/tags .*/v?(\d\S+)\.tar\.gz

## striprtf 0.3.1

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.3.1
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Maintainer: Kota Mori <kmori05@gmail.com>
Description: 
    Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.0)
Imports: magrittr, Rcpp, stringr
Suggests: testthat
RoxygenNote: 5.0.1
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
NeedsCompilation: yes
Packaged: 2017-03-30 18:42:12 UTC; kota
Author: Kota Mori [aut, cre]
Repository: CRAN
Date/Publication: 2017-03-31 06:17:46 UTC

## striprtf 0.4.3

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.4.3
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Description: Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.0)
Imports: magrittr, Rcpp, stringr, utils
Suggests: testthat
RoxygenNote: 5.0.1
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
NeedsCompilation: yes
Packaged: 2017-05-15 01:35:23 UTC; Kota.Mori
Author: Kota Mori [aut, cre]
Maintainer: Kota Mori <kmori05@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-15 05:24:07 UTC

## striprtf 0.4.4

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.4.4
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Description: Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.0)
Imports: magrittr, Rcpp, stringr, utils
Suggests: testthat
RoxygenNote: 6.0.1
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
NeedsCompilation: yes
Packaged: 2017-05-15 11:19:07 UTC; kota
Author: Kota Mori [aut, cre]
Maintainer: Kota Mori <kmori05@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-15 19:26:35 UTC

## striprtf 0.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: striprtf
 Type: Package
 Title: Extract Text from RTF File
-Version: 0.4.4
+Version: 0.4.5
 Authors@R: c(
     person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
   )
@@ -16,8 +16,8 @@
 URL: https://github.com/kota7/striprtf
 BugReports: https://github.com/kota7/striprtf/issues
 NeedsCompilation: yes
-Packaged: 2017-05-15 11:19:07 UTC; kota
+Packaged: 2017-06-05 15:53:42 UTC; kota
 Author: Kota Mori [aut, cre]
 Maintainer: Kota Mori <kmori05@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-05-15 19:26:35 UTC
+Date/Publication: 2017-06-05 17:41:00 UTC

## striprtf 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: striprtf
 Type: Package
 Title: Extract Text from RTF File
-Version: 0.4.5
+Version: 0.5.1
 Authors@R: c(
     person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
   )
@@ -16,8 +16,8 @@
 URL: https://github.com/kota7/striprtf
 BugReports: https://github.com/kota7/striprtf/issues
 NeedsCompilation: yes
-Packaged: 2017-06-05 15:53:42 UTC; kota
+Packaged: 2017-12-04 11:13:59 UTC; kota
 Author: Kota Mori [aut, cre]
 Maintainer: Kota Mori <kmori05@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-06-05 17:41:00 UTC
+Date/Publication: 2017-12-04 15:55:49 UTC

## striprtf 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: striprtf
 Type: Package
 Title: Extract Text from RTF File
-Version: 0.5.1
+Version: 0.5.2
 Authors@R: c(
     person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
   )
@@ -16,8 +16,8 @@
 URL: https://github.com/kota7/striprtf
 BugReports: https://github.com/kota7/striprtf/issues
 NeedsCompilation: yes
-Packaged: 2017-12-04 11:13:59 UTC; kota
+Packaged: 2019-01-03 06:30:53 UTC; kota
 Author: Kota Mori [aut, cre]
 Maintainer: Kota Mori <kmori05@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-12-04 15:55:49 UTC
+Date/Publication: 2019-01-03 09:30:03 UTC

## striprtf 0.5.3

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.5.3
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Description: Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, Rcpp, stringr, utils
Suggests: testthat
RoxygenNote: 7.1.1
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
NeedsCompilation: yes
Packaged: 2021-09-07 13:41:56 UTC; kota
Author: Kota Mori [aut, cre]
Maintainer: Kota Mori <kmori05@gmail.com>
Repository: CRAN
Date/Publication: 2021-09-07 14:00:02 UTC

## striprtf 0.6.0

=== DESCRIPTION ===
Package: striprtf
Type: Package
Title: Extract Text from RTF File
Version: 0.6.0
Authors@R: c(
    person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Description: Extracts plain text from RTF (Rich Text Format) file.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, Rcpp, stringr, utils
Suggests: testthat
RoxygenNote: 7.2.3
LinkingTo: Rcpp
URL: https://github.com/kota7/striprtf
BugReports: https://github.com/kota7/striprtf/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2023-08-09 17:40:13 UTC; kota
Author: Kota Mori [aut, cre]
Maintainer: Kota Mori <kmori05@gmail.com>
Repository: CRAN
Date/Publication: 2023-08-10 16:20:02 UTC
